#!/usr/bin/env node
'use strict'
var currentNodeVersion = process.versions.node
var semver = currentNodeVersion.split('.')
var major = semver[0]
var minor = semver[1]
if (major < 8 || (major < 9 && minor < 3)) {
  process.stderr.write(
    '\x1B[31m' +
      ('You are running Node ' + currentNodeVersion + '.\n') +
      'Hyperapp Create requires Node 8.3 or higher.\n' +
      'Please update your version of Node.\x1B[0m\n',
  )
  process.exit(1)
}
process.on('unhandledRejection', function(error) {
  throw error
})
var dest = process.argv[2]
var user = 'frenzzy'
var repo = 'hyperapp-starter'
var ref = 'template'
var create = require('./create')
create({ dest: dest, user: user, repo: repo, ref: ref }).then(function(code) {
  process.exit(code)
})
